AmortizingPayment Class Reference

Amortizing payment. More...

`#include <ql/cashflows/simplecashflow.hpp>`

Inheritance diagram for AmortizingPayment:
[legend]

## Public Member Functions

| AmortizingPayment (Real amount, const Date &date)
Visitability
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from SimpleCashFlow
| SimpleCashFlow (Real amount, const Date &date)
Date | date () const
Real | amount () const
| returns the amount of the cash flow More...
Public Member Functions inherited from CashFlow
bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
virtual Date | exCouponDate () const
| returns the date that the cash flow trades exCoupon
bool | tradingExCoupon (const Date &refDate=Date()) const
| returns true if the cashflow is trading ex-coupon on the refDate
Event interface
Visitability
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

Amortizing payment.

This class specializes SimpleCashFlow so that visitors can perform more detailed cash-flow analysis.